import { Component, EventEmitter, OnChanges, OnInit, SimpleChanges, Type } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { TableService } from '@ironsource/fusion-ui/components/table/common/services';
import { FormControl } from '@angular/forms';
import { InputInlineComponent } from '@ironsource/fusion-ui/components/input-inline/v2';
import { AdvancedInputInline } from '@ironsource/fusion-ui/components/input-inline/common/base';
import { TableModuleOptions, CellPosition, TableColumn, TableOptions, TableMultipleActions } from '@ironsource/fusion-ui/components/table/common/entities';
import { LogService } from '@ironsource/fusion-ui/services/log';
import { DynamicComponentConfiguration } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import { IconData } from '@ironsource/fusion-ui/components/icon/common/entities';
import { MenuDropItem } from '@ironsource/fusion-ui/components/menu-drop';
import { TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import * as i0 from "@angular/core";
type CellDataType = Type<Component> | FormControl | string | boolean | undefined | null;
export declare class TableCellComponent implements OnInit, OnChanges {
    tableService: TableService;
    private tableModuleOptions;
    private logService;
    set data(value: CellDataType);
    column: TableColumn;
    row: {
        [key: string]: any;
    };
    rowIndex: string | number;
    rowSpanIndex: number;
    options: TableOptions;
    position: CellPosition;
    infoIconTooltip: string;
    isRemove: boolean;
    floatingActionsDisabled: boolean;
    isRowSelected: boolean;
    isLastColumn: boolean;
    customClass: {
        [columnKey: string]: string;
    };
    isReadOnly: boolean;
    selectedChange: EventEmitter<any>;
    dataChange: EventEmitter<any>;
    remove: EventEmitter<any>;
    inlineInputEdit: InputInlineComponent;
    cellBorders: boolean;
    isInlineRemovable: boolean;
    get isCellEditable(): boolean;
    get sticky(): boolean;
    get stickyLeft(): string;
    isInRequest$: BehaviorSubject<boolean>;
    cellLRPadding: string;
    innerElementWidth: string;
    isInEditMode: boolean;
    initInputData: string | boolean | undefined | null | AdvancedInputInline;
    inputError$: BehaviorSubject<string>;
    notAvailableText: string;
    isNull: (object: any) => boolean;
    isNullOrUndefined: (object: any) => boolean;
    customCellData: DynamicComponentConfiguration;
    floatingMenuPosition: TooltipPosition;
    shownActionsMenu: boolean;
    get actionsMenuButtonId(): string;
    get data(): CellDataType;
    get cellStringData(): string;
    get isRowTotal(): boolean;
    get isSmallActionButton(): boolean;
    get nativeElement(): Node;
    get cellRemoveActionIcon(): IconData;
    get multipleActions(): TableMultipleActions;
    private _data;
    private inlineInputViewOnlyText;
    constructor(tableService: TableService, tableModuleOptions: TableModuleOptions, logService: LogService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    _setInputData(): void;
    getRemoveIconTooltipText(): string;
    isBoolean(variable: any): boolean;
    isRowChecked(): boolean;
    isAsDate(date: any): boolean;
    onToggleChanged(newValue: boolean): void;
    onEndEdit(valuesOptions: any): void;
    onCancel(): void;
    onRowRemoveClicked($event: MouseEvent): void;
    getDateFormat(dateFormat: string): string;
    getDateUTCFormat(ignoreTimeZone: boolean): string;
    renderCustomElement(): void;
    menuItemClicked(action: MenuDropItem): void;
    onActionButtonClicked(): void;
    onActionMenuClickOutSide(target: any): void;
    private _getMessage;
    setDisableStateForFloatingAction(menuItem: MenuDropItem): MenuDropItem;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableCellComponent, [null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableCellComponent, "[fusionTableCell]", never, { "data": { "alias": "data"; "required": false; }; "column": { "alias": "column"; "required": false; }; "row": { "alias": "row"; "required": false; }; "rowIndex": { "alias": "rowIndex"; "required": false; }; "rowSpanIndex": { "alias": "rowSpanIndex"; "required": false; }; "options": { "alias": "options"; "required": false; }; "position": { "alias": "position"; "required": false; }; "infoIconTooltip": { "alias": "infoIconTooltip"; "required": false; }; "isRemove": { "alias": "isRemove"; "required": false; }; "floatingActionsDisabled": { "alias": "floatingActionsDisabled"; "required": false; }; "isRowSelected": { "alias": "isRowSelected"; "required": false; }; "isLastColumn": { "alias": "isLastColumn"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "isReadOnly": { "alias": "isReadOnly"; "required": false; }; }, { "selectedChange": "selectedChange"; "dataChange": "dataChange"; "remove": "remove"; }, never, never, false, never>;
}
export {};
